import response from './response'

module.exports = function (fn, redir) {
  return function (req, res, next) {
    fn(req, res, next).catch(e => {
      return response.error(req, res, e, redir ? req.query.redirect_uri : null)
    })
  }
}
